Package org.apache.lucene.benchmark.byTask.tasks

## Class NewLocaleTask

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.tasks.PerfTask
  - - org.apache.lucene.benchmark.byTask.tasks.NewLocaleTask

- All Implemented Interfaces:
    `Cloneable`

      public class NewLocaleTask
      extends PerfTask

  Set a `Locale` for use in benchmarking.

  Locales can be specified in the following ways:

  - `de`: Language "de"
  - `en,US`: Language "en", country "US"
  - `no,NO,NY`: Language "no", country "NO", variant "NY"
  - `ROOT`: The root (language-agnostic) Locale
  - <empty string>: Erase the Locale (null)

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

      `logStep, NEW_LINE, params, stopNow`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NewLocaleTask​(PerfRunData runData)` | Create a new `Locale` and set it it in the getRunData() for use by all future tasks.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `doLogic()` | Perform the task once (ignoring repetitions specification) Return number of work items done by this task.
    `void` | `setParams​(String params)` | Set the params of this task.
    `boolean` | `supportsParams()` | Sub classes that support parameters must override this method to return true.

    - ### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

      `clone, close, getAlgLineNum, getBackgroundDeltaPriority, getDepth, getLogMessage, getName, getParams, getRunData, getRunInBackground, isDisableCounting, runAndMaybeStats, setAlgLineNum, setDepth, setDisableCounting, setName, setRunInBackground, setup, shouldNeverLogAtStart, shouldNotRecordStats, stopNow, tearDown, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NewLocaleTask

          public NewLocaleTask​(PerfRunData runData)

      Create a new `Locale` and set it it in the getRunData() for use by all future tasks.

  - ### Method Detail

    - #### doLogic

          public int doLogic()
                      throws Exception

      Description copied from class: `PerfTask`
      Perform the task once (ignoring repetitions specification) Return number of work items done by this task. For indexing that can be number of docs added. For warming that can be number of scanned items, etc.
      Specified by:
        `doLogic` in class `PerfTask`
      Returns:
        number of work items done by this task.
      Throws:
        `Exception`

    - #### setParams

          public void setParams​(String params)

      Description copied from class: `PerfTask`
      Set the params of this task.
      Overrides:
        `setParams` in class `PerfTask`

    - #### supportsParams

          public boolean supportsParams()

      Description copied from class: `PerfTask`
      Sub classes that support parameters must override this method to return true.
      Overrides:
        `supportsParams` in class `PerfTask`
      Returns:
        true iff this task supports command line params.